/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2008_EN_DELIMITED.dct, clear
/*
label define  nuts_cl1 IT   "Italia"  
label define  nace_cl2 B   "MINING AND QUARRYING" 10   "Manufacture of food products" 13   "Manufacture of textiles" 14   "Manufacture of wearing apparel" 15   "Manufacture of leather and related products" 16   "Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials" 17   "Manufacture of paper and paper products" 18   "Printing and reproduction of recorded media" 19   "Manufacture of coke and refined petroleum products" 20   "Manufacture of chemicals and chemical products" 21   "Manufacture of basic pharmaceutical products and pharmaceutical preparations" 22   "Manufacture of rubber and plastic products" 23   "Manufacture of other non-metallic mineral products" 24   "Manufacture of basic metals" 25   "Manufacture of fabricated metal products, except machinery and equipment" 26   "Manufacture of computer, electronic and optical products" 27   "Manufacture of electrical equipment" 28   "Manufacture of machinery and equipment n.e.c." 29   "Manufacture of motor vehicles, trailers and semi-trailers" 30   "Manufacture of other transport equipment" 31   "Manufacture of furniture" 32   "Other manufacturing" 33   "Repair and installation of machinery and equipment" 35   "Electricity, gas, steam and air conditioning supply" 36   "Water collection, treatment and supply" 37   "Sewerage" 41   "Construction of buildings" 42   "Civil engineering" 43   "Specialised construction activities" 45   "Wholesale and retail trade and repair of motor vehicles and motorcycles" 46   "Wholesale trade, except of motor vehicles and motorcycles" 47   "Retail trade, except of motor vehicles and motorcycles" 49   "Land transport and transport via pipelines" 50   "Water transport" 51   "Air transport" 52   "Warehousing and support activities for transportation" 53   "Postal and courier activities" 55   "Accommodation" 56   "Food and beverage service activities" 58   "Publishing activities" 59   "Motion picture, video and television programme production, sound recording and music publishing activities" 61   "Telecommunications" 62   "Computer programming, consultancy and related activities" 63   "Information service activities" 64   "Financial service activities, except insurance and pension funding" 65   "Insurance, reinsurance and pension funding, except compulsory social security" 66   "Activities auxiliary to financial services and insurance activities" 68   "Real estate activities" 71   "Architectural and engineering activities; technical testing and analysis" 72   "Scientific research and development" 77   "Rental and leasing activities" 11-12   "Manufacture of beverages and tobacco products" 38-39   "Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services"  
label define  gp_cl3 .   "missing or non applicable" 0   "No" 0   "No" 1   "Yes" 1   "Yes"  
label define  ho_cl4 .   "missing or non applicable" .   "missing or non applicable" 0   "the enterprise does not belong to a group" 0   "Enterprise does not belong to a group" 1   "Home country (Italy)" 1   "Home country (Italy)" 2   "Europe + Candidate Countries + EFTA countries" 2   "Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, " 3   "rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virg" 3   "Rest of the world"  
label define  marloc_cl5  
label define  marnat_cl6  
label define  mareur_cl7 .   "missing or non applicable" .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  maroth_cl8  
label define  larmar_cl9 .   "missing or not applicable" A   "Local / regional within [your country]" B   "National (other regions of [your country])" C   "Other European Union (EU), EFTA, or EU candidate countries" D   "All other countries"  
label define  inpdgd_cl10  
label define  inpdsv_cl11  
label define  inpdtw_cl12 .   "missing or non applicable" 1   "Mainly by the enterprise or enterprise group" 2   "In cooperation with other enterprises or institutions" 3   "Mainly other enterprises or institutions"  
label define  newmkt_cl13  
label define  newfrm_cl14  
label define  inpspd_cl18  
label define  inpslg_cl19  
label define  inpssu_cl20  
label define  inpcsw_cl21  
label define  inpsnm_cl22 .   "missing or non applicable" 0   "No" 1   "Yes" 2   "Don't know"  
label define  inaba_cl23  
label define  inong_cl24  
label define  rrdin_cl25 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rdeng_cl26 .   "missing" 1   "continuously" 2   "occasionally"  
label define  rrdex_cl27  
label define  rmac_cl28  
label define  roek_cl29  
label define  rtr_cl30  
label define  rmar_cl31  
label define  rpre_cl32  
label define  funloc_cl41  
label define  fungmt_cl42  
label define  funeu_cl43  
label define  funrtd_cl44  
label define  sentg_cl45 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  ssup_cl46 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  scli_cl47  
label define  scom_cl48  
label define  sins_cl49  
label define  suni_cl50  
label define  sgmt_cl51  
label define  scon_cl52  
label define  sjou_cl53  
label define  spro_cl54  
label define  co_cl55 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co11_cl56  
label define  co12_cl57  
label define  co13_cl58  
label define  co14_cl59  
label define  co15_cl60  
label define  co21_cl61  
label define  co22_cl62  
label define  co23_cl63  
label define  co24_cl64  
label define  co25_cl65  
label define  co31_cl66  
label define  co32_cl67  
label define  co33_cl68  
label define  co34_cl69  
label define  co35_cl70  
label define  co41_cl71  
label define  co42_cl72  
label define  co43_cl73  
label define  co44_cl74  
label define  co45_cl75  
label define  co51_cl76  
label define  co52_cl77  
label define  co53_cl78  
label define  co54_cl79  
label define  co55_cl80  
label define  co61_cl81  
label define  co62_cl82  
label define  co63_cl83  
label define  co64_cl84  
label define  co65_cl85  
label define  co71_cl86  
label define  co72_cl87  
label define  co73_cl88  
label define  co74_cl89  
label define  co75_cl90  
label define  pmos_cl91 .   "missing or not applicable" A   "Other enterprises within enterprise group" B   "Suppliers of equipment, etc" C   "Clients or customers" D   "Competitors or other firms" E   "Consultants, commercial labs, private R&D institutes" F   "Universities" G   "Government or public research institutes"  
label define  orange_cl92  
label define  orepl_cl93 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  oenmk_cl94  
label define  oimks_cl95  
label define  oqua_cl96  
label define  oflex_cl97  
label define  ocap_cl98  
label define  ohes_cl99  
label define  olbr_cl100  
label define  orgbup_cl101 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  orgwkp_cl102  
label define  orgexr_cl103  
label define  orored_cl104  
label define  oroabl_cl105  
label define  oroqua_cl106  
label define  ororco_cl107  
label define  orocin_cl108  
label define  mktdgp_cl109  
label define  mktpdp_cl110  
label define  mktpdl_cl111  
label define  mktpri_cl112  
label define  omkts_cl113  
label define  omktcg_cl114  
label define  omktgm_cl115  
label define  ecomat_cl116  
label define  ecoen_cl117  
label define  ecoco_cl118  
label define  ecosub_cl119  
label define  ecopol_cl120  
label define  ecorec_cl121  
label define  ecoenu_cl122  
label define  ecopos_cl123  
label define  ecorea_cl124  
label define  enreg_cl125  
label define  enregf_cl126  
label define  engra_cl127  
label define  endem_cl128  
label define  enagr_cl129  
label define  envid_cl130 .   "missing or not applicable" 0   "No" 1   "Yes: Implemented before January 2006" 2   "Yes: Implemented or significantly improved after January 2006" 3   "Yes for both before and after January 2006"  
label values  nuts nuts_cl1
label values  nace nace_cl2
label values  gp gp_cl3
label values  ho ho_cl4
label values  marloc marloc_cl5
label values  marnat marnat_cl6
label values  mareur mareur_cl7
label values  maroth maroth_cl8
label values  larmar larmar_cl9
label values  inpdgd inpdgd_cl10
label values  inpdsv inpdsv_cl11
label values  inpdtw inpdtw_cl12
label values  newmkt newmkt_cl13
label values  newfrm newfrm_cl14
label values  inpspd inpspd_cl18
label values  inpslg inpslg_cl19
label values  inpssu inpssu_cl20
label values  inpcsw inpcsw_cl21
label values  inpsnm inpsnm_cl22
label values  inaba inaba_cl23
label values  inong inong_cl24
label values  rrdin rrdin_cl25
label values  rdeng rdeng_cl26
label values  rrdex rrdex_cl27
label values  rmac rmac_cl28
label values  roek roek_cl29
label values  rtr rtr_cl30
label values  rmar rmar_cl31
label values  rpre rpre_cl32
label values  funloc funloc_cl41
label values  fungmt fungmt_cl42
label values  funeu funeu_cl43
label values  funrtd funrtd_cl44
label values  sentg sentg_cl45
label values  ssup ssup_cl46
label values  scli scli_cl47
label values  scom scom_cl48
label values  sins sins_cl49
label values  suni suni_cl50
label values  sgmt sgmt_cl51
label values  scon scon_cl52
label values  sjou sjou_cl53
label values  spro spro_cl54
label values  co co_cl55
label values  co11 co11_cl56
label values  co12 co12_cl57
label values  co13 co13_cl58
label values  co14 co14_cl59
label values  co15 co15_cl60
label values  co21 co21_cl61
label values  co22 co22_cl62
label values  co23 co23_cl63
label values  co24 co24_cl64
label values  co25 co25_cl65
label values  co31 co31_cl66
label values  co32 co32_cl67
label values  co33 co33_cl68
label values  co34 co34_cl69
label values  co35 co35_cl70
label values  co41 co41_cl71
label values  co42 co42_cl72
label values  co43 co43_cl73
label values  co44 co44_cl74
label values  co45 co45_cl75
label values  co51 co51_cl76
label values  co52 co52_cl77
label values  co53 co53_cl78
label values  co54 co54_cl79
label values  co55 co55_cl80
label values  co61 co61_cl81
label values  co62 co62_cl82
label values  co63 co63_cl83
label values  co64 co64_cl84
label values  co65 co65_cl85
label values  co71 co71_cl86
label values  co72 co72_cl87
label values  co73 co73_cl88
label values  co74 co74_cl89
label values  co75 co75_cl90
label values  pmos pmos_cl91
label values  orange orange_cl92
label values  orepl orepl_cl93
label values  oenmk oenmk_cl94
label values  oimks oimks_cl95
label values  oqua oqua_cl96
label values  oflex oflex_cl97
label values  ocap ocap_cl98
label values  ohes ohes_cl99
label values  olbr olbr_cl100
label values  orgbup orgbup_cl101
label values  orgwkp orgwkp_cl102
label values  orgexr orgexr_cl103
label values  orored orored_cl104
label values  oroabl oroabl_cl105
label values  oroqua oroqua_cl106
label values  ororco ororco_cl107
label values  orocin orocin_cl108
label values  mktdgp mktdgp_cl109
label values  mktpdp mktpdp_cl110
label values  mktpdl mktpdl_cl111
label values  mktpri mktpri_cl112
label values  omkts omkts_cl113
label values  omktcg omktcg_cl114
label values  omktgm omktgm_cl115
label values  ecomat ecomat_cl116
label values  ecoen ecoen_cl117
label values  ecoco ecoco_cl118
label values  ecosub ecosub_cl119
label values  ecopol ecopol_cl120
label values  ecorec ecorec_cl121
label values  ecoenu ecoenu_cl122
label values  ecopos ecopos_cl123
label values  ecorea ecorea_cl124
label values  enreg enreg_cl125
label values  enregf enregf_cl126
label values  engra engra_cl127
label values  endem endem_cl128
label values  enagr enagr_cl129
label values  envid envid_cl130
*/
save  ISTAT_MFR_CIS_Microdata_2008_FILE_STRUCTURE_EXAMPLE.dta, replace
