#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CIS_Microdata_2008_FILE_STRUCTURE_EXAMPLE.txt", sep="")
Ril_CIS_2008<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CIS_2008, "label") <- c(
"Name of the enterprise",
"Address",
"Main economic activity",
"Enterprise part of a group",
"Country of head office",
"Local/regional market",
"National l market",
"Other EU/EFTA/CC  market",
"All other countries",
"Enterprise's largest market in terms of turnover between 2006 and 2008",
"Introduced onto the market a new or significantly improved good",
"Introduced onto the market a new or significantly improved service",
"Who mainly developed these products",
"Did the enterprise introduce a product new to the market",
"Did the enterprise introduce a product new to the firm",
"% of turnover in new or improved products that were new to the market",
"% of turnover in new or improved products that were new to the firm",
"% of turnover in unchanged or marginally modified products",
"Introduced onto the market a new or significantly improved method of production",
" Introduced onto the market a new or significantly improved logistic, delivery or distribution system ",
"Introduced onto the market a new or significantly improved supporting activities",
"Who mainly developed these processes",
"Process innovations new to enterprise's market",
"Enterprise with abandoned innovation activities",
"Enterprise with ongoing innovation activities",
"Engagement in intramural R&D",
"Type of engagement in R&D",
"Engagement in extramural R&D",
"Engagement in acquisition of machinery",
"Engagement in other external knowledge",
"Engagement in training",
"Engagement in market introduction of innovation",
"Engagement in other preparation",
"Expenditure in intramural R&D",
"Expenditure in extramural R&D",
"Expenditure in acquisition of machinery",
"Expenditure in other external knowledge",
"Expenditure in training",
"Expenditure in other preparation",
"Expenditure in market introduction of innovation",
"Total innovation expenditure",
"Public funding from local or regional authorities",
"Public funding from central government",
"Public funding from the EU",
"Funding from EU's 6th or 7th RTD",
"Sources from within the enterprise or enterprise group",
" Sources from Suppliers of equipment, materials, etc. ",
"Sources from Clients or customers",
"Sources from Competitors and other enterprises of same industry",
" Sources from consultants, commercial labs or private R&D institutes ",
"Sources from Universities or other higher education institutes",
"Sources from Government or public research institutes",
" Sources from professional conferences, trade fairs, meetings ",
" Sources from Scientific journals, trade/scientific publications ",
"Sources from Professional and industry associations",
"Cooperation arrangements on innovation activities",
"Other enterprises within enterprise group : National",
"Other enterprises within enterprise group : EU/EFTA/EU-CC",
"Other enterprises within enterprise group : US",
"Other enterprises within enterprise group : India or China",
"Other enterprises within enterprise group : Other countries",
" Suppliers of equipment, etc. : National ",
" Suppliers of equipment, etc. : EU/EFTA/EU-CC ",
" Suppliers of equipment, etc. : US ",
" Suppliers of equipment, etc. :  India or China ",
" Suppliers of equipment, etc. :  Other countries ",
"Clients or customers : National",
"Clients or customers : EU/EFTA/EU-CC",
"Clients or customers : US",
"Clients or customers : India or China",
"Clients or customers : Other countries",
"Competitors or other firms  : National",
"Competitors or other firms  : EU/EFTA/EU-CC",
"Competitors or other firms  : US",
"Competitors or other firms  : India or China",
"Competitors or other firms  : Other countries",
" Consultants, commercial labs, private R&D institutes : National ",
" Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC ",
" Consultants, commercial labs, private R&D institutes : US ",
" Consultants, commercial labs, private R&D institutes : India or China ",
" Consultants, commercial labs, private R&D institutes : Other countries ",
"Universities or other  : National",
"Universities or other  : EU/EFTA/EU-CC",
"Universities or other  : US",
"Universities or other  : India or China",
"Universities or other  : Other countries",
"Government or public research institutes: National",
"Government or public research institutes:  EU/EFTA/EU-CC",
"Government or public research institutes: US",
"Government or public research institutes: India or China",
"Government or public research institutes: Other countries",
"Most important co-operation partner",
"Increased range of goods or services",
"Replace outdated products or processes",
"Enter new markets",
"Increase market share",
"Improve quality of goods or services",
"Improve flexibility for producing goods or services",
"Increase capacity for producing goods or services",
"Improve health and safety",
"Reduce labour costs per unit output",
"New business practices for organising work or procedures",
"New methods of workplace organisation",
"New methods of organising external relations",
"Reduce time to respond to customer or supplier needs",
"Improve ability to develop new products or processes",
"Improve quality of your goods or services",
"Reduce costs per unit output",
"Improved communication or information sharing",
"Significant changes to the aesthetic design or packaging",
"New media or techniques for product promotion",
"New methods for product placement or sales channels",
"New methods of pricing goods or services",
"Increase or maintain market share",
"Introduce products to new customer groups",
"Introduce products to new geographic markets",
"Reduced material use per unit of output",
"Reduced energy use per unit of output",
"Reduced CO2 footprint (total CO2 production) by your enterprise",
"Replaced materials with less polluting or hazardous substitutes",
" Reduced soil, water, noise, or air pollution ",
" Recycled waste, water, or materials ",
"Reduced energy use",
" Reduced air, water, soil or noise pollution ",
"Improved recycling of product after use",
"Existing environmental regulations or taxes on pollution",
"Environmental regulations or taxes that you expected to be introduced in the future",
" Availability of government grants, subsidies or other financial incentives for e ",
"Current or expected market demand from your customers for environmental innovations",
"Voluntary codes or agreements for environmental good practice within your sector",
"Procedures in place to regularly identify and reduce enterprises environmental impact",
"Total turnover in 2006",
"Total turnover in 2008",
"Size class in 2006",
"Size class in 2008",
"Weighting factors")

nuts_Fact <- factor(Ril_CIS_2008$nuts, 
levels=c(IT), 
labels=c("Italia")) 


nace_Fact <- factor(Ril_CIS_2008$nace, 
levels=c(B, 
10, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21, 
22, 
23, 
24, 
25, 
26, 
27, 
28, 
29, 
30, 
31, 
32, 
33, 
35, 
36, 
37, 
41, 
42, 
43, 
45, 
46, 
47, 
49, 
50, 
51, 
52, 
53, 
55, 
56, 
58, 
59, 
61, 
62, 
63, 
64, 
65, 
66, 
68, 
71, 
72, 
77, 
11-12, 
38-39), 
labels=c("MINING AND QUARRYING", 
"Manufacture of food products", 
"Manufacture of textiles", 
"Manufacture of wearing apparel", 
"Manufacture of leather and related products", 
"Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials", 
"Manufacture of paper and paper products", 
"Printing and reproduction of recorded media", 
"Manufacture of coke and refined petroleum products", 
"Manufacture of chemicals and chemical products", 
"Manufacture of basic pharmaceutical products and pharmaceutical preparations", 
"Manufacture of rubber and plastic products", 
"Manufacture of other non-metallic mineral products", 
"Manufacture of basic metals", 
"Manufacture of fabricated metal products, except machinery and equipment", 
"Manufacture of computer, electronic and optical products", 
"Manufacture of electrical equipment", 
"Manufacture of machinery and equipment n.e.c.", 
"Manufacture of motor vehicles, trailers and semi-trailers", 
"Manufacture of other transport equipment", 
"Manufacture of furniture", 
"Other manufacturing", 
"Repair and installation of machinery and equipment", 
"Electricity, gas, steam and air conditioning supply", 
"Water collection, treatment and supply", 
"Sewerage", 
"Construction of buildings", 
"Civil engineering", 
"Specialised construction activities", 
"Wholesale and retail trade and repair of motor vehicles and motorcycles", 
"Wholesale trade, except of motor vehicles and motorcycles", 
"Retail trade, except of motor vehicles and motorcycles", 
"Land transport and transport via pipelines", 
"Water transport", 
"Air transport", 
"Warehousing and support activities for transportation", 
"Postal and courier activities", 
"Accommodation", 
"Food and beverage service activities", 
"Publishing activities", 
"Motion picture, video and television programme production, sound recording and music publishing activities", 
"Telecommunications", 
"Computer programming, consultancy and related activities", 
"Information service activities", 
"Financial service activities, except insurance and pension funding", 
"Insurance, reinsurance and pension funding, except compulsory social security", 
"Activities auxiliary to financial services and insurance activities", 
"Real estate activities", 
"Architectural and engineering activities; technical testing and analysis", 
"Scientific research and development", 
"Rental and leasing activities", 
"Manufacture of beverages and tobacco products", 
"Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services")) 


GP_Fact <- factor(Ril_CIS_2008$GP, 
levels=c(NA, 
0, 
0, 
1, 
1), 
labels=c("missing or non applicable", 
"No", 
"No", 
"Yes", 
"Yes"), exclude=NULL) 


HO_Fact <- factor(Ril_CIS_2008$HO, 
levels=c(NA, 
NA, 
"0", 
"0", 
"1", 
"1", 
"2", 
"2", 
"3", 
"3"), 
labels=c("missing or non applicable", 
"missing or non applicable", 
"the enterprise does not belong to a group", 
"Enterprise does not belong to a group", 
"Home country (Italy)", 
"Home country (Italy)", 
"Europe + Candidate Countries + EFTA countries", 
"Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, Norway, Portugal, Sweeden, Slovenia, San Marino)", 
"rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virgin Islands, South Africa, Swaziland, Holy See (Vatican C", 
"Rest of the world"), exclude=NULL) 


MAREUR_Fact <- factor(Ril_CIS_2008$MAREUR, 
levels=c(NA, 
NA, 
0, 
1), 
labels=c("missing or non applicable", 
"missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


LARMAR_Fact <- factor(Ril_CIS_2008$LARMAR, 
levels=c(NA, 
"A", 
"B", 
"C", 
"D"), 
labels=c("missing or not applicable", 
"Local / regional within [your country]", 
"National (other regions of [your country])", 
"Other European Union (EU), EFTA, or EU candidate countries", 
"All other countries"), exclude=NULL) 


INPDTW_Fact <- factor(Ril_CIS_2008$INPDTW, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Mainly by the enterprise or enterprise group", 
"In cooperation with other enterprises or institutions", 
"Mainly other enterprises or institutions"), exclude=NULL) 


INPSNM_Fact <- factor(Ril_CIS_2008$INPSNM, 
levels=c(NA, 
0, 
1, 
2), 
labels=c("missing or non applicable", 
"No", 
"Yes", 
"Don't know"), exclude=NULL) 


RRDIN_Fact <- factor(Ril_CIS_2008$RRDIN, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RDENG_Fact <- factor(Ril_CIS_2008$RDENG, 
levels=c(NA, 
1, 
2), 
labels=c("missing", 
"continuously", 
"occasionally"), exclude=NULL) 


SENTG_Fact <- factor(Ril_CIS_2008$SENTG, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


SSUP_Fact <- factor(Ril_CIS_2008$SSUP, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


CO_Fact <- factor(Ril_CIS_2008$CO, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


PMOS_Fact <- factor(Ril_CIS_2008$PMOS, 
levels=c(NA, 
"A", 
"B", 
"C", 
"D", 
"E", 
"F", 
"G"), 
labels=c("missing or not applicable", 
"Other enterprises within enterprise group", 
"Suppliers of equipment, etc", 
"Clients or customers", 
"Competitors or other firms", 
"Consultants, commercial labs, private R&D institutes", 
"Universities", 
"Government or public research institutes"), exclude=NULL) 


OREPL_Fact <- factor(Ril_CIS_2008$OREPL, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


ORGBUP_Fact <- factor(Ril_CIS_2008$ORGBUP, 
levels=c(NA, 
0, 
1), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ENVID_Fact <- factor(Ril_CIS_2008$ENVID, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("missing or not applicable", 
"No", 
"Yes: Implemented before January 2006", 
"Yes: Implemented or significantly improved after January 2006", 
"Yes for both before and after January 2006"), exclude=NULL) 

save.image (file="Ril_CIS_2008.RData")
